Rerun processing node with specified output version

Rerun the node using the specified output revision.

POST https://moi.matrixorigin.cn/newmoi/lineage/artifacts/{artifact_id}/nodes/{node_id}/output-emissions/{target_output_emission_id}/rerun-with-revisions

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

Request body

modestring
Rerun mode; when provided, it must be rerun_downstream_with_revisions.
source_effective_set_versioninteger
Source effective revision set version.
selected_revisions_jsonobject
The selected revision collection.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/lineage/artifacts/$ARTIFACT_ID/nodes/$NODE_ID/output-emissions/$TARGET_OUTPUT_EMISSION_ID/rerun-with-revisions" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "mode": "rerun_downstream_with_revisions",
    "source_effective_set_version": 4,
    "selected_revisions_json": {"block-001": {"revision_id": "rev-002"}}
  }'

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

The response fields are as follows.

data.artifact_idstring
Product ID.
data.node_idstring
Node ID.
data.rerun_idstring
Rerun ID.
data.branch_idstring
New branch ID.
data.case_idstring
Processing case ID.
data.statusstring
Rerun status.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {"artifact_id": "art-001", "node_id": "node-001", "rerun_id": "rerun-001", "status": "submitted"}
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
Last updated on